/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: NeedsRunningStateException.idl,v $
 * $Revision: 1.5 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_embed_NeedsRunningStateException_idl__ 
#define __com_sun_star_embed_NeedsRunningStateException_idl__ 
 
#ifndef __com_sun_star_embed_WrongStateException_idl__ 
#include <com/sun/star/embed/WrongStateException.idl> 
#endif 
 
 
//============================================================================
 
 module com {  module sun {  module star {  module embed {  
 
//============================================================================
 
/** This exception can be thrown in case a list of accepted verbs of states is
    requested and the object is in loaded state and this information can be
    retrieved only when the object is in running state.

    <p>
    This exception means that the object supports at least running state in
    addition to the loaded state. Other states and possible verbs can be
    detected only after object is switched to running state.
 */
exception NeedsRunningStateException: WrongStateException
{ 
}; 
 
//============================================================================
 
}; }; }; };  
 
#endif

